com.sun.syndication.feed.atom

## Class Category

- java.lang.Object
- - com.sun.syndication.feed.atom.Category

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Category
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for category elements of Atom feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Category()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getLabel()` Get label for category.
`java.lang.String` `getScheme()` Get Scheme URI for category.
`java.lang.String` `getSchemeResolved()`
`java.lang.String` `getTerm()` Return term for category.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setLabel(java.lang.String label)` Set label for category.
`void` `setScheme(java.lang.String scheme)` Set scheme URI for category.
`void` `setSchemeResolved(java.lang.String schemeResolved)`
`void` `setTerm(java.lang.String term)` Set term for category.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Category

    public Category()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getLabel

    public java.lang.String getLabel()

Get label for category.

Returns:
  Label for category.

#### setLabel

    public void setLabel(java.lang.String label)

Set label for category.

Parameters:
  `label` - Label for category.

#### getScheme

    public java.lang.String getScheme()

Get Scheme URI for category.

Returns:
  Scheme URI for category.

#### setScheme

    public void setScheme(java.lang.String scheme)

Set scheme URI for category.

Parameters:
  `scheme` - Scheme URI for category.

#### setSchemeResolved

    public void setSchemeResolved(java.lang.String schemeResolved)

#### getSchemeResolved

    public java.lang.String getSchemeResolved()

#### getTerm

    public java.lang.String getTerm()

Return term for category.

Returns:
  Term for category.

#### setTerm

    public void setTerm(java.lang.String term)

Set term for category.

Parameters:
  `term` - Term for category.